List vault folders
curl --request GET \
--url https://api.ofauth.com/v2/access/vault/lists \
--header 'apiKey: <api-key>' \
--header 'x-connection-id: <api-key>'import requests
url = "https://api.ofauth.com/v2/access/vault/lists"
headers = {
"apiKey": "<api-key>",
"x-connection-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apiKey: '<api-key>', 'x-connection-id': '<api-key>'}};
fetch('https://api.ofauth.com/v2/access/vault/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"id": 123,
"name": "<string>",
"hasMedia": true,
"canUpdate": true,
"canDelete": true,
"medias": [
{
"url": "<string>"
}
]
}
],
"all": {
"videosCount": 123,
"photosCount": 123,
"gifsCount": 123,
"audiosCount": 123,
"medias": [
{
"type": null
}
]
},
"hasMore": true,
"canCreateVaultLists": true,
"order": "<string>",
"sort": "<string>"
}Vault Lists
List vault folders
List vault folders
Permission Required: vault:read
GET
/
v2
/
access
/
vault
/
lists
List vault folders
Authorizations
Requires a connection via the x-connection-id header.
Query Parameters
Number of items to return (1-40, default: 24)
Required range:
1 <= x <= 40Number of items to skip (default: 0)
Required range:
x >= 0Search/filter text
Maximum string length:
100Was this page helpful?
⌘I